The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Flows Statistics

Prev Next

This URL is used to retrieve the flows statistics for a Sensor.

Resource URL

GET /sensor/{sensorId}/trafficstats/flows

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensorId Sensor id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
overallFlowUsage Shows overall flow usage for a given Sensor String
inboundSynCookieProtection Shows whether inbound SYN cookie protection is active or inactive. Can have two values:
  • Inactive
  • Active
String
outboundSynCookieProtection Shows whether outbound SYN cookie protection is active or inactive. Can have two values:
  • Inactive
  • Active
String
totalFlowsProcessed Shows total number of flows processed String
totalFlowsActive Shows total number of active flows String
totalFlowsActiveUsingSYNcookies Shows total number of active flows using SYN cookies String
totalFlowsInSYNState Shows total number of flows using SYN state String
totalFlowsInTimeWaitState Shows total number of flows using wait state String
totalFlowsInactive Shows total number of inactive flows String
totalFlowsTimedOut Shows total number of flows that are timed out String
udpFlowsActive Shows total number of active UDP flows String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1009/trafficstats/flows

Response

{
	"overallFlowUsage":0,
	"inboundSynCookieProtection":"Inactive",
	"outboundSynCookieProtection":"Inactive",
	"totalFlowsProcessed":59271,
	"totalFlowsActive":0,
	"totalFlowsActiveUsingSYNcookies":0,
	"totalFlowsInSYNState":0,
	"totalFlowsInTimeWaitState":0,
	"totalFlowsInactive":205,
	"totalFlowsTimedOut":4287,
	"udpFlowsActive":0
} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 Invalid Sensor: When the device id given is not valid